function adminLoggedIn(req, res, next) {
    if (req.user && req.user[2]) {
        next();
    }
    else {
        req.flash('error', 'An admin account is required to access this page.');
        res.redirect('/auth/login');
    }
}

function userLoggedIn(req, res, next) {
    if (req.user) {
      next();
    }
    else {
      res.redirect('/auth/login');
    }
}

exports.admin = adminLoggedIn;
exports.user = userLoggedIn;